%define srcname pyglet
%define srcversion 1.2.4
%define versionedname %{srcname}-%{srcversion}

Name: python-%{srcname}
Version: %{srcversion}
Release: %mkrel 2
Summary: A cross-platform windowing and multimedia library for Python
Group: Development/Python
License: BSD
URL: http://www.pyglet.org/

# The upstream tarball includes some non-free files in the examples and tests,
# and a patented texture compression algorithm.
# Run the following (in rpmbuild/SOURCES) to generate the distributed tarball:
# $ sh pyglet-get-tarball.sh pyglet-1.2alpha1
# See the script for details.
Source0: %{versionedname}-repacked.tar.gz
Source1: pyglet-get-tarball.sh

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python3-devel
BuildRequires: python3-setuptools

Requires: python
Requires: python-pillow

# The libraries are imported dynamically using ctypes, so rpm can't find them.
Requires: libmesagl
Requires: libx11


%description
This library provides an object-oriented programming interface for developing
games and other visually-rich applications with Python.
pyglet has virtually no external dependencies. For most applications and game
requirements, pyglet needs nothing else besides Python, simplifying
distribution and installation. It also handles multiple windows and
fully aware of multi-monitor setups.

pyglet might be seen as an alternative to PyGame.

%package -n python3-%{srcname}
Summary: A cross-platform windowing and multimedia library for Python 3
Group: Development/Python

Requires: python3-pillow

# The libraries are imported dynamically using ctypes, so rpm can't find them.
Requires: libmesagl
Requires: libx11

%description -n python3-%{srcname}
This library provides an object-oriented programming interface for developing
games and other visually-rich applications with Python 3.
pyglet has virtually no external dependencies. For most applications and game
requirements, pyglet needs nothing else besides Python, simplifying
distribution and installation. It also handles multiple windows and
fully aware of multi-monitor setups.

pyglet might be seen as an alternative to PyGame.



%prep
%setup -q -n %{versionedname}

# Remove the bundled pypng library python-pillow provides the same functionality)
rm pyglet/image/codecs/png.py

# Get rid of hashbang lines. This is a library, it has no executable scripts.
# Also remove Windows newlines
find . -name '*.py' | xargs sed --in-place -e's|#!/usr/bin/\(env \)\?python||;s/\r//'

cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
%py2_install

pushd %{py3dir}
%py3_install
popd


%files
%license LICENSE
%doc CHANGELOG
%doc README
%doc NOTICE
%doc PKG-INFO
%{python2_sitelib}/%{versionedname}-py2.?.egg-info
%{python2_sitelib}/%{srcname}


%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG
%doc README
%doc NOTICE
%doc PKG-INFO
%{python3_sitelib}/%{versionedname}-py3.?.egg-info
%{python3_sitelib}/%{srcname}



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.2.4-2.mga6
+ Revision: 972471
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 898815
- update to 1.2.4

* Sun Nov 01 2015 philippem <philippem> 1.2-1.mga6
+ Revision: 897153
- update to 1.2

* Sat Oct 10 2015 tv <tv> 1.2-0.alpha1.5.mga6
+ Revision: 888954
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.alpha1.4.mga5
+ Revision: 746022
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-0.alpha1.3.mga5
+ Revision: 729458
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-0.alpha1.2.mga5
+ Revision: 688256
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2-0.alpha1.1.mga5
+ Revision: 628946
- Rebuild for new Python

* Fri Nov 22 2013 philippem <philippem> 1.2-0.alpha1.0.mga4
+ Revision: 552350
- imported package python-pyglet

